javax.annotation.security

## Annotation Type DeclareRoles

-     @Documented
      @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface DeclareRoles

  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String[]` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.String[] value

      Returns:
        a String[] with the roles

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.